Name:             cxf-build-utils
Version:          2.6.0
Release:          %mkrel 2
Summary:          Apache CXF Build Utils
Group:            Development/Java
License:          ASL 2.0
URL:              http://cxf.apache.org/build-utils.html

# svn export http://svn.apache.org/repos/asf/cxf/build-utils/tags/cxf-build-utils-2.6.0/ cxf-build-utils-2.6.0
# tar cafJ cxf-build-utils-2.6.0.tar.xz cxf-build-utils-2.6.0
Source0:          cxf-build-utils-%{version}.tar.xz

# PMD support in Fedora
Patch0:           0001-Support-for-PMD-from-Fedora.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-shade-plugin
BuildRequires:    glassfish-fastinfoset
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    pmd

%description
The Apache CXF Build Utils contains common utilities and configuration files
that are used by multiple versions of the CXF builds.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n cxf-build-utils-%{version}
%patch0 -p1

%pom_remove_dep net.sourceforge.pmd:pmd buildtools/pom.xml
%pom_add_dep net.sourceforge.pmd:pmd-java buildtools/pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.6.0-2.mga6
+ Revision: 982637
- Second rebuild of the java stack

* Sun Feb 28 2016 daviddavid <daviddavid> 2.6.0-1.mga6
+ Revision: 980274
- First rebuild of the java stack
- sync package cxf-build-utils with fedora (update to 2.6.0)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Oct 16 2014 umeabot <umeabot> 2.5.0-4.mga5
+ Revision: 768870
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5.0-2.mga4
+ Revision: 503778
- Mageia 4 Mass Rebuild

  + dmorgan <dmorgan>
    - New version

* Fri Jan 11 2013 umeabot <umeabot> 2.4.1-5.mga3
+ Revision: 348526
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 dmorgan <dmorgan> 2.4.1-4.mga3
+ Revision: 330621
- imported package cxf-build-utils


* Mon Aug 13 2012 Patryk Obara <pobara@redhat.com> - 2.4.1-4
- Fix build for f18

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 23 2012 Patryk Obara <pobara@redhat.com> 2.4.1-2
- Cleaned requires list
- Fixed warnings about mixed whitespace
- Unnecessary comment removed

* Wed May 9 2012 Patryk Obara <pobara@redhat.com> 2.4.1-1
- Initial packaging

